textures/danger/tin
{
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/danger/tin.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/danger/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}

        {
		map textures/danger/tin.tga
		//blendFunc GL_ONE GL_ONE
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/danger/waterfall
{
    qer_editorimage textures/holodeck_temple/water1f.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	tessSize 64
	cull disable
	deformVertexes wave 64 triangle 1 3 .1 .1

	{
		map textures/holodeck_temple/water1f.tga
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 1.0 2.0
		tcMod turb .1 .05 .25 .08
		tcMod scroll .8 -.125
	}
	{
		map textures/holodeck_temple/water1f.tga
		blendfunc GL_DST_COLOR GL_ONE
		tcMod scale .5 .5
		tcMod turb .1 .075 .5 .05
		tcMod scroll 1. .1
	}

}




textures/danger/diaschau
{
	qer_editorimage textures/danger/wwwdanger.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		animmap .1 textures/danger/text3.tga textures/danger/wwwdanger.tga textures/danger/schwarz.tga

		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}




textures/danger/gruenleucht
{
	q3map_lightimage textures/danger/gruen.tga
	qer_editorimage textures/danger/gruen.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/danger/gruen.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/danger/gruen.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}

}


textures/danger/Hotel

{
        qer_editorimage textures/danger/hotel.tga
    	surfaceparm trans
	surfaceparm alphashadow
	cull none
        nopicmip
	{
		map textures/danger/hotel.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



textures/base_light/xceil1_39_15k
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 15000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}



//******************************************************//
//	Brolicht					//
//******************************************************//

textures/base_light/light5
{
	qer_editorimage textures/base_light/light5.tga
	q3map_lightimage textures/base_light/light5.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}




//******************************************************//
//	Flackerlicht					//
//******************************************************//

textures/base_light/proto_light_2k
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 6000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/proto_lightmap.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}


//MC Danger + Parkhaus

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	q3map_lightimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


//Auenbereich

textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	q3map_lightimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 5000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}





//--------------------------------------------------------------



textures/skies/mkskybox
{
        qer_editorimage textures/skies/dimclouds.tga


	surfaceparm noimpact
	surfaceparm nolightmap
        q3map_lightimage textures/common/white.tga
	q3map_sun	0.266383 0.274632 0.358662 100 65 55
	q3map_surfacelight 320

        skyparms env/berg2 - -
}



textures/danger/x_support
{
	surfaceparm	metalsteps
	surfaceparm trans
	surfaceparm alphashadow
    surfaceparm nomarks
	cull none
        nopicmip
	{
		map textures/danger/x_support.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/danger/ampelgruen
{
	qer_editorimage textures/danger/ampelgruen.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		animmap .2 textures/danger/ampelgruen.tga textures/danger/ampelgelb.tga textures/danger/ampelrot.tga textures/danger/ampelrot.tga textures/danger/ampelrotgelb.tga

		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		animmap .2 textures/danger/ampelgruen.tga textures/danger/ampelgelb.tga textures/danger/ampelrot.tga textures/danger/ampelrot.tga textures/danger/ampelrotgelb.tga
		blendfunc GL_ONE GL_ONE
	}
}



textures/danger/ampelrot
{
	qer_editorimage textures/danger/ampelrot.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		animmap .2 textures/danger/ampelrot.tga textures/danger/ampelrot.tga textures/danger/ampelrotgelb.tga textures/danger/ampelgruen.tga textures/danger/ampelgelb.tga

		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		animmap .2 textures/danger/ampelrot.tga textures/danger/ampelrot.tga textures/danger/ampelrotgelb.tga textures/danger/ampelgruen.tga textures/danger/ampelgelb.tga
		blendfunc GL_ONE GL_ONE
	}
}


